您可以使用网格作为视觉指南,并打开贴靠模式以限制光标移动。 除了设置间距外,还可以调整对齐和网格对齐方式。您可以旋转路线,也可以将其设置为用于等轴测图形。 如果需要沿特定对齐方式或角度绘制,可以旋转捕捉角度。捕捉角度旋转的中心点是捕捉基点。如果需要对齐填充图案,可以更改此点,该点通常设置为 0,0。 若要旋转捕捉角度,请使用该属性。若要更改捕捉角度旋转的基点,请使用该属性。SnapRotationAngleSnapBasePoint 注意:这两个特性都需要调用 Update 方法才能更新 AutoCAD 显示。
更改捕捉基点和旋转角度本示例将捕捉基点更改为 (1,1),捕捉旋转角度更改为 30 度。网格处于打开状态,以便可以看到更改。 Sub Ch3_ChangeSnapBasePoint() ' Turn on the grid for the active viewport ThisDrawing.ActiveViewport.GridOn = True ' Change the snap base point to 1, 1 Dim newBasePoint(0 To 1) As Double newBasePoint(0) = 1: newBasePoint(1) = 1 ThisDrawing.ActiveViewport.SnapBasePoint = newBasePoint ' Change the snap rotation angle to 30 degrees (0.575 radians) Dim rotationAngle As Double rotationAngle = 0.575 ThisDrawing.ActiveViewport.SnapRotationAngle = rotationAngle ' reset the viewport ThisDrawing.ActiveViewport = ThisDrawing.ActiveViewport End Sub 相关概念父主题: |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:47
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.